.wrong-quantity-error{
  display:none;
}

.wrong-quantity{
  color: #e57373; 
  display: block;
}
.quantity-input{
  width: 30px;
  display: none;
}
.save-quantity-link{
  display: none;
  background-color: #42a5f5;
  border:none;
  border-radius: 5px;
  padding: 5px;
}
.is-editing-quantity .quantity-input{
  display: initial;
}

.is-editing-quantity .save-quantity-link{
  display: initial;
}

.is-editing-quantity .update-quantity-link{
  display: none;
}
.is-editing-quantity .quantity-label{
  display: none;
}

.page-title {
  font-weight: 700;
  font-size: 22px;
  margin-bottom: 18px;
}

.checkout-grid {
  display: grid;
  grid-template-columns: 1fr 350px;
  column-gap: 12px;
  align-items: start;
}

@media (min-width: 700px) {
  .main {
    width: 100%;
  }

  

  .checkout-grid {
    grid-template-columns: 1fr;
  }
}

@media (max-width: 575px) {
  .main {
    width: 100%;
  }
}

.cart-item-container,
.payment-summary {
  
  border-radius: 4px;
  padding: 18px;
}

.cart-item-container {
  box-shadow: 10px 5px 10px 0px rgba(0, 0, 0, 0.2);
  margin-bottom: 12px;
  border: 1px solid rgb(222, 222, 222);
}

.payment-summary1 {
  border: 1px solid rgb(222, 222, 222);
  padding-bottom: 5px;
}

@media (max-width: 1000px) {
  .payment-summary {
    grid-row: 1;
    margin-bottom: 12px;
  }
}

.customerAfm{
  display: flex;
  align-items: center;
  justify-content: space-around;
  font-size: 25px;
  flex-direction: row;
}
.js-update-link{
  color: black;
  background-color: #45a1df;
  border: none;
  border-radius: 10px;
  padding: 10px;
}

.delivery-date {
  color: #f56d6d; 
  font-weight: 700;
  font-size: 19px;
  margin-top: 5px;
  margin-bottom: 22px;
}
.product-final-price{
  color: #ff8a65; 
  font-weight: 700;
  font-size: 18px;
}
.cart-item-details{
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.cart-item-details-grid {
  display: grid;
  column-gap: 25px;
}

@media (max-width: 1000px) {
  .cart-item-details-grid {
    grid-template-columns: 1fr;
    row-gap: 30px;
  }
}
.send-order-button{
  background-color: #89f060; 
  color: white; 
  width: 100%;
  padding-top: 12px;
  padding-bottom: 12px;
  border-radius: 8px;
  margin-top: 11px;
  margin-bottom: 10px;
}
.partial-pay-button{
  background-color: rgba(0,77,143,255); 
  color: white; 
  width: 100%;
  padding-top: 12px;
  padding-bottom: 12px;
  border-radius: 8px;
  margin-top: 11px;
  margin-bottom: 15px;
  display: none;
  border: none;
}

.pay-item-link{
  background-color: #c0da4d;
  margin-left: 3px;
  color: black;
  margin-top: 10px;
  margin-bottom: 10px;
  border-radius: 10px;
  padding: 10px;
  border: none;
  display: none;
}
.quantity-input{
  margin-bottom: 10px;
}
.product-image {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 30px;

  margin-left: auto;
  margin-right: auto;
}
.product-comments{
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.details{
  display: flex;
  justify-content: space-between;
  align-items: left;
  flex-direction: column;
}
.buttons{
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-direction: column;
}

.product-name1{
  font-weight: 700;
  width: 100%;
}

.product-price {
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: #ff8a65; /* Soft orange for price */
  font-weight: 700;

}

.product-quantity .link-primary {
  margin-left: 3px;
  color: black; 
  margin-top: 10px;
  margin-bottom: 10px;
  background-color: #42a5f5;
  border-radius: 10px;
  padding: 10px;
  border: none;

}
.delete-quantity-link{
  margin-left: 3px;
  color: black;
  margin-top: 10px;
  margin-bottom: 10px;
  background-color: #ff8a65;
  border-radius: 10px;
  padding: 10px;
  border: none;
}

@media (max-width: 1000px) {
  .delivery-options {
    grid-column: 1 / span 2;
  }
}

.delivery-options-title {
  font-weight: 700;
  margin-bottom: 10px;
}

.delivery-option {
  display: grid;
  grid-template-columns: 24px 1fr;
  margin-bottom: 12px;
  cursor: pointer;
}

.delivery-option-input {
  margin-left: 0px;
  cursor: pointer;
}
.delivery-option-input:checked {
  margin-left: 0px;
  cursor: pointer;
}
.afmDropdown{
  width: 100%
}

.delivery-option-date {
  color: #4caf50;
  font-weight: 500;
  margin-bottom: 3px;
}

.delivery-option-price {
  color: #757575; 
  font-size: 15px;
}

.payment-summary-title {
  font-weight: 700;
  font-size: 18px;
  margin-bottom: 12px;
}

.payment-summary-row {
  display: grid;
  grid-template-columns: 1fr auto;

  font-size: 15px;
  margin-bottom: 9px;
}

.payment-summary-money {
  text-align: right;
}

.subtotal-row .payment-summary-money {
  border-top: 1px solid rgb(222, 222, 222);
}

.subtotal-row div {
  padding-top: 9px;
}

.total-row {
  color: #ff8a65; 
  font-weight: 700;
  font-size: 18px;

  border-top: 1px solid rgb(222, 222, 222);
  padding-top: 18px;
}

.place-order-button {
  background-color: #ff8a65;
  color: white; 
  width: 100%;
  padding-top: 12px;
  padding-bottom: 12px;
  border-radius: 8px;
  display: none;
  margin-top: 11px;
  margin-bottom: 15px;
}
.place-order-button:active{
  box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.7);
  background-color: #fc4b15

}
.place-order-button:hover{
  background-color: #fc4b15
}
.loader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.7);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

.loader::before {
  content: "";
  border: 4px solid #f3f3f3;
  border-top: 4px solid #3498db;
  border-radius: 50%;
  width: 50px;
  height: 50px;
  animation: spin 2s linear infinite;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(720deg); }
}

.customerName{
  width: 100%;
  font-size: 15px;
  height: 43px;
  border: 1px solid rgb(82, 81, 81);
}
.afmSearch{
  display: flex;
  align-items: center;
  width: 80%;
  height: 100%;
  gap: 10px;
}
@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(720deg); }
}
.cancelLoader, .afmLoader, .invoiceLoader, .payItemLoader, .partialLoader, .closeTableLoader, .otherLoader {
  content: "";
  border: 4px solid #f3f3f3;
  border-top: 4px solid #3498db;
  border-radius: 50%;
  width: 20px;
  height: 20px;
  animation: spin 2s linear infinite;
  display: none;
}


.Loader1 {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.7);
  display: none;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}
.Loader2 {
  content: "";
  border: 4px solid #f3f3f3;
  border-top: 4px solid #3498db;
  border-radius: 50%;
  width: 20px;
  height: 20px;
  animation: spin 2s linear infinite;
}
@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(720deg); }
}

.Loader3 {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.7);
  display: none;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}
.Loader4 {
  content: "";
  border: 4px solid #f3f3f3;
  border-top: 4px solid #3498db;
  border-radius: 50%;
  width: 20px;
  height: 20px;
  animation: spin 2s linear infinite;
}
@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(720deg); }
}
